Index: /palm/trunk/SOURCE/radiation_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/radiation_model_mod.f90	(revision 4451)
+++ /palm/trunk/SOURCE/radiation_model_mod.f90	(revision 4452)
@@ -1626,10 +1629,10 @@
                      surf_lsm_v(l)%ns > 0  )  THEN
              ALLOCATE( surf_lsm_v(l)%rad_net(1:surf_lsm_v(l)%ns) )
-             surf_lsm_v(l)%rad_net = 0.0_wp 
+             surf_lsm_v(l)%rad_net = 0.0_wp
           ENDIF
           IF ( .NOT. ALLOCATED ( surf_usm_v(l)%rad_net )  .AND.                &
                      surf_usm_v(l)%ns > 0  )  THEN
              ALLOCATE( surf_usm_v(l)%rad_net(1:surf_usm_v(l)%ns) )
-             surf_usm_v(l)%rad_net = 0.0_wp 
+             surf_usm_v(l)%rad_net = 0.0_wp
           ENDIF
        ENDDO
@@ -1641,10 +1644,10 @@
                   surf_lsm_h%ns > 0  )   THEN
           ALLOCATE( surf_lsm_h%rad_lw_out_change_0(1:surf_lsm_h%ns) )
-          surf_lsm_h%rad_lw_out_change_0 = 0.0_wp 
+          surf_lsm_h%rad_lw_out_change_0 = 0.0_wp
        ENDIF
        IF ( .NOT. ALLOCATED ( surf_usm_h%rad_lw_out_change_0 )  .AND.          &
                   surf_usm_h%ns > 0  )  THEN
           ALLOCATE( surf_usm_h%rad_lw_out_change_0(1:surf_usm_h%ns) )
-          surf_usm_h%rad_lw_out_change_0 = 0.0_wp 
+          surf_usm_h%rad_lw_out_change_0 = 0.0_wp
        ENDIF
        DO  l = 0, 3
@@ -1652,10 +1655,10 @@
                      surf_lsm_v(l)%ns > 0  )  THEN
              ALLOCATE( surf_lsm_v(l)%rad_lw_out_change_0(1:surf_lsm_v(l)%ns) )
-             surf_lsm_v(l)%rad_lw_out_change_0 = 0.0_wp 
+             surf_lsm_v(l)%rad_lw_out_change_0 = 0.0_wp
           ENDIF
           IF ( .NOT. ALLOCATED ( surf_usm_v(l)%rad_lw_out_change_0 )  .AND.    &
                      surf_usm_v(l)%ns > 0  )  THEN
              ALLOCATE( surf_usm_v(l)%rad_lw_out_change_0(1:surf_usm_v(l)%ns) )
-             surf_usm_v(l)%rad_lw_out_change_0 = 0.0_wp 
+             surf_usm_v(l)%rad_lw_out_change_0 = 0.0_wp
           ENDIF
        ENDDO
@@ -1676,15 +1679,15 @@
           ALLOCATE( surf_lsm_h%rad_lw_ref(1:surf_lsm_h%ns) )
           ALLOCATE( surf_lsm_h%rad_lw_res(1:surf_lsm_h%ns) )
-          surf_lsm_h%rad_sw_in  = 0.0_wp 
-          surf_lsm_h%rad_sw_out = 0.0_wp 
-          surf_lsm_h%rad_sw_dir = 0.0_wp 
-          surf_lsm_h%rad_sw_dif = 0.0_wp 
-          surf_lsm_h%rad_sw_ref = 0.0_wp 
-          surf_lsm_h%rad_sw_res = 0.0_wp 
-          surf_lsm_h%rad_lw_in  = 0.0_wp 
-          surf_lsm_h%rad_lw_out = 0.0_wp 
-          surf_lsm_h%rad_lw_dif = 0.0_wp 
-          surf_lsm_h%rad_lw_ref = 0.0_wp 
-          surf_lsm_h%rad_lw_res = 0.0_wp 
+          surf_lsm_h%rad_sw_in  = 0.0_wp
+          surf_lsm_h%rad_sw_out = 0.0_wp
+          surf_lsm_h%rad_sw_dir = 0.0_wp
+          surf_lsm_h%rad_sw_dif = 0.0_wp
+          surf_lsm_h%rad_sw_ref = 0.0_wp
+          surf_lsm_h%rad_sw_res = 0.0_wp
+          surf_lsm_h%rad_lw_in  = 0.0_wp
+          surf_lsm_h%rad_lw_out = 0.0_wp
+          surf_lsm_h%rad_lw_dif = 0.0_wp
+          surf_lsm_h%rad_lw_ref = 0.0_wp
+          surf_lsm_h%rad_lw_res = 0.0_wp
        ENDIF
        IF ( .NOT. ALLOCATED ( surf_usm_h%rad_sw_in )  .AND.                    &
@@ -1701,15 +1704,15 @@
           ALLOCATE( surf_usm_h%rad_lw_ref(1:surf_usm_h%ns) )
           ALLOCATE( surf_usm_h%rad_lw_res(1:surf_usm_h%ns) )
-          surf_usm_h%rad_sw_in  = 0.0_wp 
-          surf_usm_h%rad_sw_out = 0.0_wp 
-          surf_usm_h%rad_sw_dir = 0.0_wp 
-          surf_usm_h%rad_sw_dif = 0.0_wp 
-          surf_usm_h%rad_sw_ref = 0.0_wp 
-          surf_usm_h%rad_sw_res = 0.0_wp 
-          surf_usm_h%rad_lw_in  = 0.0_wp 
-          surf_usm_h%rad_lw_out = 0.0_wp 
-          surf_usm_h%rad_lw_dif = 0.0_wp 
-          surf_usm_h%rad_lw_ref = 0.0_wp 
-          surf_usm_h%rad_lw_res = 0.0_wp 
+          surf_usm_h%rad_sw_in  = 0.0_wp
+          surf_usm_h%rad_sw_out = 0.0_wp
+          surf_usm_h%rad_sw_dir = 0.0_wp
+          surf_usm_h%rad_sw_dif = 0.0_wp
+          surf_usm_h%rad_sw_ref = 0.0_wp
+          surf_usm_h%rad_sw_res = 0.0_wp
+          surf_usm_h%rad_lw_in  = 0.0_wp
+          surf_usm_h%rad_lw_out = 0.0_wp
+          surf_usm_h%rad_lw_dif = 0.0_wp
+          surf_usm_h%rad_lw_ref = 0.0_wp
+          surf_usm_h%rad_lw_res = 0.0_wp
        ENDIF
        DO  l = 0, 3
@@ -1729,5 +1732,5 @@
              ALLOCATE( surf_lsm_v(l)%rad_lw_res(1:surf_lsm_v(l)%ns) )
 
-             surf_lsm_v(l)%rad_sw_in  = 0.0_wp 
+             surf_lsm_v(l)%rad_sw_in  = 0.0_wp
              surf_lsm_v(l)%rad_sw_out = 0.0_wp
              surf_lsm_v(l)%rad_sw_dir = 0.0_wp
@@ -1736,9 +1739,9 @@
              surf_lsm_v(l)%rad_sw_res = 0.0_wp
 
-             surf_lsm_v(l)%rad_lw_in  = 0.0_wp 
-             surf_lsm_v(l)%rad_lw_out = 0.0_wp 
-             surf_lsm_v(l)%rad_lw_dif = 0.0_wp 
-             surf_lsm_v(l)%rad_lw_ref = 0.0_wp 
-             surf_lsm_v(l)%rad_lw_res = 0.0_wp 
+             surf_lsm_v(l)%rad_lw_in  = 0.0_wp
+             surf_lsm_v(l)%rad_lw_out = 0.0_wp
+             surf_lsm_v(l)%rad_lw_dif = 0.0_wp
+             surf_lsm_v(l)%rad_lw_ref = 0.0_wp
+             surf_lsm_v(l)%rad_lw_res = 0.0_wp
           ENDIF
           IF ( .NOT. ALLOCATED ( surf_usm_v(l)%rad_sw_in )  .AND.              &
@@ -1755,5 +1758,5 @@
              ALLOCATE( surf_usm_v(l)%rad_lw_ref(1:surf_usm_v(l)%ns) )
              ALLOCATE( surf_usm_v(l)%rad_lw_res(1:surf_usm_v(l)%ns) )
-             surf_usm_v(l)%rad_sw_in  = 0.0_wp 
+             surf_usm_v(l)%rad_sw_in  = 0.0_wp
              surf_usm_v(l)%rad_sw_out = 0.0_wp
              surf_usm_v(l)%rad_sw_dir = 0.0_wp
@@ -1761,9 +1764,9 @@
              surf_usm_v(l)%rad_sw_ref = 0.0_wp
              surf_usm_v(l)%rad_sw_res = 0.0_wp
-             surf_usm_v(l)%rad_lw_in  = 0.0_wp 
-             surf_usm_v(l)%rad_lw_out = 0.0_wp 
-             surf_usm_v(l)%rad_lw_dif = 0.0_wp 
-             surf_usm_v(l)%rad_lw_ref = 0.0_wp 
-             surf_usm_v(l)%rad_lw_res = 0.0_wp 
+             surf_usm_v(l)%rad_lw_in  = 0.0_wp
+             surf_usm_v(l)%rad_lw_out = 0.0_wp
+             surf_usm_v(l)%rad_lw_dif = 0.0_wp
+             surf_usm_v(l)%rad_lw_ref = 0.0_wp
+             surf_usm_v(l)%rad_lw_res = 0.0_wp
           ENDIF
        ENDDO
@@ -1855,8 +1858,8 @@
           ENDDO
 !
-!--       Level 2 initialization of broadband albedo via given albedo_type. 
-!--       Only if albedo_type is non-zero. In case of urban surface and 
+!--       Level 2 initialization of broadband albedo via given albedo_type.
+!--       Only if albedo_type is non-zero. In case of urban surface and
 !--       input data is read from ASCII file, albedo_type will be zero, so that
-!--       albedo won't be overwritten. 
+!--       albedo won't be overwritten.
           DO  m = 1, surf_lsm_h%ns
              IF ( surf_lsm_h%albedo_type(m,ind_veg_wall) /= 0 )                &
@@ -1931,7 +1934,7 @@
                    surf_usm_h%albedo(m,ind_wat_win)   = albedo_pars_f%pars_xy(0,j,i)
                 ENDIF
-             ENDDO 
-!
-!--          Vertical surfaces            
+             ENDDO
+!
+!--          Vertical surfaces
              DO  l = 0, 3
 
@@ -1961,5 +1964,5 @@
              ENDDO
 
-          ENDIF  
+          ENDIF
 !
 !--       Read explicit albedo values from building surface pars. If present,
@@ -2051,5 +2054,5 @@
 !--       Allocate albedos for short/longwave radiation, horizontal surfaces
 !--       for wall/green/window (USM) or vegetation/pavement/water surfaces
-!--       (LSM). 
+!--       (LSM).
           ALLOCATE ( surf_lsm_h%aldif(1:surf_lsm_h%ns,0:2)       )
           ALLOCATE ( surf_lsm_h%aldir(1:surf_lsm_h%ns,0:2)       )
@@ -2071,5 +2074,5 @@
 
 !
-!--       Allocate broadband albedo (temporary for the current radiation 
+!--       Allocate broadband albedo (temporary for the current radiation
 !--       implementations)
           IF ( .NOT. ALLOCATED(surf_lsm_h%albedo) )                            &
@@ -2079,5 +2082,5 @@
 
 !
-!--       Allocate albedos for short/longwave radiation, vertical surfaces 
+!--       Allocate albedos for short/longwave radiation, vertical surfaces
           DO  l = 0, 3
 
@@ -2111,7 +2114,7 @@
           ENDDO
 !
-!--       Level 1 initialization of spectral albedos via namelist 
-!--       paramters. Please note, this case all surface tiles are initialized 
-!--       the same. 
+!--       Level 1 initialization of spectral albedos via namelist
+!--       paramters. Please note, this case all surface tiles are initialized
+!--       the same.
           IF ( surf_lsm_h%ns > 0 )  THEN
              surf_lsm_h%aldif  = albedo_lw_dif
@@ -2162,8 +2165,8 @@
 
 !
-!--       Level 2 initialization of spectral albedos via albedo_type. 
-!--       Please note, for natural- and urban-type surfaces, a tile approach 
-!--       is applied so that the resulting albedo is calculated via the weighted 
-!--       average of respective surface fractions. 
+!--       Level 2 initialization of spectral albedos via albedo_type.
+!--       Please note, for natural- and urban-type surfaces, a tile approach
+!--       is applied so that the resulting albedo is calculated via the weighted
+!--       average of respective surface fractions.
           DO  m = 1, surf_lsm_h%ns
 !
@@ -2186,5 +2189,5 @@
           ENDDO
 !
-!--       For urban surface only if albedo has not been already initialized 
+!--       For urban surface only if albedo has not been already initialized
 !--       in the urban-surface model via the ASCII file.
           IF ( .NOT. surf_usm_h%albedo_from_ascii )  THEN
@@ -2231,5 +2234,5 @@
              ENDDO
 !
-!--          For urban surface only if albedo has not been already initialized 
+!--          For urban surface only if albedo has not been already initialized
 !--          in the urban-surface model via the ASCII file.
              IF ( .NOT. surf_usm_v(l)%albedo_from_ascii )  THEN
@@ -2269,14 +2272,14 @@
                    IF ( albedo_pars_f%pars_xy(0,j,i) /= albedo_pars_f%fill )   &
                       surf_lsm_h%albedo(m,ind_type) =                          &
-                                             albedo_pars_f%pars_xy(0,j,i)      
+                                             albedo_pars_f%pars_xy(0,j,i)
                    IF ( albedo_pars_f%pars_xy(1,j,i) /= albedo_pars_f%fill )   &
                       surf_lsm_h%aldir(m,ind_type) =                           &
-                                             albedo_pars_f%pars_xy(1,j,i)      
+                                             albedo_pars_f%pars_xy(1,j,i)
                    IF ( albedo_pars_f%pars_xy(1,j,i) /= albedo_pars_f%fill )   &
                       surf_lsm_h%aldif(m,ind_type) =                           &
-                                             albedo_pars_f%pars_xy(1,j,i)      
+                                             albedo_pars_f%pars_xy(1,j,i)
                    IF ( albedo_pars_f%pars_xy(2,j,i) /= albedo_pars_f%fill )   &
                       surf_lsm_h%asdir(m,ind_type) =                           &
-                                             albedo_pars_f%pars_xy(2,j,i)      
+                                             albedo_pars_f%pars_xy(2,j,i)
                    IF ( albedo_pars_f%pars_xy(2,j,i) /= albedo_pars_f%fill )   &
                       surf_lsm_h%asdif(m,ind_type) =                           &
@@ -2285,5 +2288,5 @@
              ENDDO
 !
-!--          For urban surface only if albedo has not been already initialized 
+!--          For urban surface only if albedo has not been already initialized
 !--          in the urban-surface model via the ASCII file.
              IF ( .NOT. surf_usm_h%albedo_from_ascii )  THEN
@@ -2378,5 +2381,5 @@
                 ENDDO
 !
-!--             For urban surface only if albedo has not been already initialized 
+!--             For urban surface only if albedo has not been already initialized
 !--             in the urban-surface model via the ASCII file.
                 IF ( .NOT. surf_usm_v(l)%albedo_from_ascii )  THEN
@@ -2411,5 +2414,5 @@
                                          albedo_pars_f%pars_xy(2,j+joff,i+ioff)
                       ENDIF
-!                     
+!
 !--                   Spectral albedos especially for building green surfaces
                       IF ( albedo_pars_f%pars_xy(3,j+joff,i+ioff) /=           &
@@ -2427,5 +2430,5 @@
                                          albedo_pars_f%pars_xy(4,j+joff,i+ioff)
                       ENDIF
-!                     
+!
 !--                   Spectral albedos especially for building window surfaces
                       IF ( albedo_pars_f%pars_xy(5,j+joff,i+ioff) /=           &
@@ -2640,5 +2643,5 @@
 
 !
-!--       Calculate initial values of current (cosine of) the zenith angle and 
+!--       Calculate initial values of current (cosine of) the zenith angle and
 !--       whether the sun is up
           CALL get_date_time( time_since_reference_point, &
@@ -2785,9 +2788,9 @@
 
 !
-!--       Allocate 1-element array for surface temperature 
+!--       Allocate 1-element array for surface temperature
 !--       (RRTMG anticipates an array as passed argument).
           ALLOCATE ( rrtm_tsfc(1) )
 !
-!--       Allocate surface emissivity. 
+!--       Allocate surface emissivity.
 !--       Values will be given directly before calling rrtm_lw.
           ALLOCATE ( rrtm_emis(0:0,1:nbndlw+1) )
@@ -2801,5 +2804,5 @@
                             '&Please provide <jobname>_lsw file in the INPUT directory.'
              CALL message( 'radiation_init', 'PA0583', 1, 2, 0, 6, 0 )
-          ENDIF         
+          ENDIF
           INQUIRE( FILE='rrtmg_sw.nc', EXIST=sw_exists )
           IF ( .NOT. sw_exists )  THEN
@@ -2808,12 +2811,12 @@
                             '&Please provide <jobname>_rsw file in the INPUT directory.'
              CALL message( 'radiation_init', 'PA0584', 1, 2, 0, 6, 0 )
-          ENDIF          
-          
+          ENDIF
+
           IF ( lw_radiation )  CALL rrtmg_lw_ini ( c_p )
           IF ( sw_radiation )  CALL rrtmg_sw_ini ( c_p )
-          
+
 !
 !--       Set input files for RRTMG
-          INQUIRE(FILE="RAD_SND_DATA", EXIST=snd_exists) 
+          INQUIRE(FILE="RAD_SND_DATA", EXIST=snd_exists)
           IF ( .NOT. snd_exists )  THEN
              rrtm_input_file = "rrtmg_lw.nc"
@@ -2823,5 +2826,5 @@
 !--       Read vertical layers for RRTMG from sounding data
 !--       The routine provides nzt_rad, hyp_snd(1:nzt_rad),
-!--       t_snd(nzt+2:nzt_rad), rrtm_play(1:nzt_rad), rrtm_plev(1_nzt_rad+1), 
+!--       t_snd(nzt+2:nzt_rad), rrtm_play(1:nzt_rad), rrtm_plev(1_nzt_rad+1),
 !--       rrtm_tlay(nzt+2:nzt_rad), rrtm_tlev(nzt+2:nzt_rad+1)
           CALL read_sounding_data
@@ -2834,17 +2837,17 @@
        ENDIF
 !
-!--    Initializaion actions exclusively required for external 
+!--    Initializaion actions exclusively required for external
 !--    radiation forcing
        IF ( radiation_scheme == 'external' )  THEN
 !
-!--       Open the radiation input file. Note, for child domain, a dynamic 
-!--       input file is often not provided. In order to do not need to 
+!--       Open the radiation input file. Note, for child domain, a dynamic
+!--       input file is often not provided. In order to do not need to
 !--       duplicate the dynamic input file just for the radiation input, take
-!--       it from the dynamic file for the parent if not available for the 
-!--       child domain(s). In this case this is possible because radiation 
+!--       it from the dynamic file for the parent if not available for the
+!--       child domain(s). In this case this is possible because radiation
 !--       input should be the same for each model.
           INQUIRE( FILE = TRIM( input_file_dynamic ),                          &
                    EXIST = radiation_input_root_domain  )
-                   
+
           IF ( .NOT. input_pids_dynamic  .AND.                                 &
                .NOT. radiation_input_root_domain )  THEN
@@ -2859,5 +2862,5 @@
 !
 !--       Open dynamic input file for child domain if available, else, open
-!--       dynamic input file for the root domain. 
+!--       dynamic input file for the root domain.
           IF ( input_pids_dynamic )  THEN
              CALL open_read_file( TRIM( input_file_dynamic ) //                &
@@ -2868,30 +2871,30 @@
                                   pids_id )
           ENDIF
-                               
+
           CALL inquire_num_variables( pids_id, num_var_pids )
-!         
+!
 !--       Allocate memory to store variable names and read them
           ALLOCATE( vars_pids(1:num_var_pids) )
           CALL inquire_variable_names( pids_id, vars_pids )
-!         
+!
 !--       Input time dimension.
           IF ( check_existence( vars_pids, 'time_rad' ) )  THEN
              CALL get_dimension_length( pids_id, ntime, 'time_rad' )
-          
+
              ALLOCATE( time_rad_f%var1d(0:ntime-1) )
-!                                                                                 
-!--          Read variable                    
+!
+!--          Read variable
              CALL get_variable( pids_id, 'time_rad', time_rad_f%var1d )
-                                
+
              time_rad_f%from_file = .TRUE.
-          ENDIF           
-!         
+          ENDIF
+!
 !--       Input shortwave downwelling.
           IF ( check_existence( vars_pids, 'rad_sw_in' ) )  THEN
-!         
+!
 !--          Get _FillValue attribute
              CALL get_attribute( pids_id, char_fill, rad_sw_in_f%fill,         &
                                  .FALSE., 'rad_sw_in' )
-!         
+!
 !--          Get level-of-detail
              CALL get_attribute( pids_id, char_lod, rad_sw_in_f%lod,           &
@@ -2905,24 +2908,24 @@
 !
 !--          Level-of-detail 2 - radiation depends on time_rad, y, x
-             ELSEIF ( rad_sw_in_f%lod == 2 )  THEN  
+             ELSEIF ( rad_sw_in_f%lod == 2 )  THEN
                 ALLOCATE( rad_sw_in_f%var3d(0:ntime-1,nys:nyn,nxl:nxr) )
-                
+
                 CALL get_variable( pids_id, 'rad_sw_in', rad_sw_in_f%var3d,    &
                                    nxl, nxr, nys, nyn, 0, ntime-1 )
-                                   
+
                 rad_sw_in_f%from_file = .TRUE.
-             ELSE 
+             ELSE
                 message_string = '"rad_sw_in" has no valid lod attribute'
                 CALL message( 'radiation_init', 'PA0646', 1, 2, 0, 6, 0 )
              ENDIF
           ENDIF
-!         
+!
 !--       Input longwave downwelling.
           IF ( check_existence( vars_pids, 'rad_lw_in' ) )  THEN
-!         
+!
 !--          Get _FillValue attribute
              CALL get_attribute( pids_id, char_fill, rad_lw_in_f%fill,         &
                                  .FALSE., 'rad_lw_in' )
-!         
+!
 !--          Get level-of-detail
              CALL get_attribute( pids_id, char_lod, rad_lw_in_f%lod,           &
@@ -2936,24 +2939,24 @@
 !
 !--          Level-of-detail 2 - radiation depends on time_rad, y, x
-             ELSEIF ( rad_lw_in_f%lod == 2 )  THEN  
+             ELSEIF ( rad_lw_in_f%lod == 2 )  THEN
                 ALLOCATE( rad_lw_in_f%var3d(0:ntime-1,nys:nyn,nxl:nxr) )
-                
+
                 CALL get_variable( pids_id, 'rad_lw_in', rad_lw_in_f%var3d,    &
                                    nxl, nxr, nys, nyn, 0, ntime-1 )
-                                   
+
                 rad_lw_in_f%from_file = .TRUE.
-             ELSE 
+             ELSE
                 message_string = '"rad_lw_in" has no valid lod attribute'
                 CALL message( 'radiation_init', 'PA0646', 1, 2, 0, 6, 0 )
              ENDIF
           ENDIF
-!         
+!
 !--       Input shortwave downwelling, diffuse part.
           IF ( check_existence( vars_pids, 'rad_sw_in_dif' ) )  THEN
-!         
+!
 !--          Read _FillValue attribute
              CALL get_attribute( pids_id, char_fill, rad_sw_in_dif_f%fill,     &
                                  .FALSE., 'rad_sw_in_dif' )
-!         
+!
 !--          Get level-of-detail
              CALL get_attribute( pids_id, char_lod, rad_sw_in_dif_f%lod,       &
@@ -2968,21 +2971,21 @@
 !
 !--          Level-of-detail 2 - radiation depends on time_rad, y, x
-             ELSEIF ( rad_sw_in_dif_f%lod == 2 )  THEN  
+             ELSEIF ( rad_sw_in_dif_f%lod == 2 )  THEN
                 ALLOCATE( rad_sw_in_dif_f%var3d(0:ntime-1,nys:nyn,nxl:nxr) )
-                
+
                 CALL get_variable( pids_id, 'rad_sw_in_dif',                   &
                                    rad_sw_in_dif_f%var3d,                      &
                                    nxl, nxr, nys, nyn, 0, ntime-1 )
-                                   
+
                 rad_sw_in_dif_f%from_file = .TRUE.
-             ELSE 
+             ELSE
                 message_string = '"rad_sw_in_dif" has no valid lod attribute'
                 CALL message( 'radiation_init', 'PA0646', 1, 2, 0, 6, 0 )
              ENDIF
           ENDIF
-!         
+!
 !--       Finally, close the input file and deallocate temporary arrays
           DEALLOCATE( vars_pids )
-          
+
           CALL close_input_file( pids_id )
 #endif
@@ -2995,5 +2998,5 @@
              CALL message( 'radiation_init', 'PA0195', 1, 2, 0, 6, 0 )
           ENDIF
-          
+
           IF ( .NOT. time_rad_f%from_file )  THEN
              message_string = 'In case of external radiation forcing ' //      &
@@ -3001,5 +3004,5 @@
              CALL message( 'radiation_init', 'PA0196', 1, 2, 0, 6, 0 )
           ENDIF
-          
+
           CALL get_date_time( 0.0_wp, second_of_day=second_of_day )
 
@@ -3018,5 +3021,5 @@
              ENDIF
           ENDIF
-          
+
           IF ( ALLOCATED( rad_lw_in_f%var1d ) )  THEN
              IF ( ANY( rad_lw_in_f%var1d == rad_lw_in_f%fill ) )  THEN
@@ -3026,5 +3029,5 @@
              ENDIF
           ENDIF
-          
+
           IF ( ALLOCATED( rad_sw_in_dif_f%var1d ) )  THEN
              IF ( ANY( rad_sw_in_dif_f%var1d == rad_sw_in_dif_f%fill ) )  THEN
@@ -3034,5 +3037,5 @@
              ENDIF
           ENDIF
-          
+
           IF ( ALLOCATED( rad_sw_in_f%var3d ) )  THEN
              IF ( ANY( rad_sw_in_f%var3d == rad_sw_in_f%fill ) )  THEN
@@ -3042,5 +3045,5 @@
              ENDIF
           ENDIF
-          
+
           IF ( ALLOCATED( rad_lw_in_f%var3d ) )  THEN
              IF ( ANY( rad_lw_in_f%var3d == rad_lw_in_f%fill ) )  THEN
@@ -3050,5 +3053,5 @@
              ENDIF
           ENDIF
-          
+
           IF ( ALLOCATED( rad_sw_in_dif_f%var3d ) )  THEN
              IF ( ANY( rad_sw_in_dif_f%var3d == rad_sw_in_dif_f%fill ) )  THEN
@@ -3068,7 +3071,7 @@
           ENDIF
 !
-!--       All radiation input should have the same level of detail. The sum 
+!--       All radiation input should have the same level of detail. The sum
 !--       of lods divided by the number of available radiation arrays must be
-!--       1 (if all are lod = 1) or 2 (if all are lod = 2). 
+!--       1 (if all are lod = 1) or 2 (if all are lod = 2).
           IF ( REAL( MERGE( rad_lw_in_f%lod, 0, rad_lw_in_f%from_file ) +       &
                      MERGE( rad_sw_in_f%lod, 0, rad_sw_in_f%from_file ) +       &
@@ -3109,5 +3112,5 @@
           CASE ( 'constant' )
              CALL radiation_constant
-             
+
           CASE ( 'external' )
 !
@@ -3128,5 +3131,5 @@
 
 !
-!--    If required, read or calculate and write out the SVF 
+!--    If required, read or calculate and write out the SVF
        IF ( radiation_interactions .AND. read_svf)  THEN
 !
@@ -3147,5 +3150,5 @@
 
 !
-!--    Adjust radiative fluxes. In case of urban and land surfaces, also 
+!--    Adjust radiative fluxes. In case of urban and land surfaces, also
 !--    call an initial interaction.
        IF ( radiation_interactions )  THEN
@@ -3171,12 +3174,12 @@
        INTEGER(iwp) ::  l   !< running index for surface orientation
        INTEGER(iwp) ::  t   !< index of current timestep
-       INTEGER(iwp) ::  tm  !< index of previous timestep 
-       
+       INTEGER(iwp) ::  tm  !< index of previous timestep
+
        LOGICAL      ::  horizontal !< flag indicating treatment of horinzontal surfaces
-       
-       REAL(wp) ::  fac_dt               !< interpolation factor  
+
+       REAL(wp) ::  fac_dt               !< interpolation factor
        REAL(wp) ::  second_of_day_init   !< second of the day at model start
 
-       TYPE(surf_type), POINTER ::  surf !< pointer on respective surface type, used to generalize routine   
+       TYPE(surf_type), POINTER ::  surf !< pointer on respective surface type, used to generalize routine
 
 !
@@ -3187,5 +3190,5 @@
        CALL calc_zenith( day_of_year, second_of_day )
 !
-!--    Interpolate external radiation on current timestep 
+!--    Interpolate external radiation on current timestep
        IF ( time_since_reference_point  <= 0.0_wp )  THEN
           t      = 0
@@ -3198,7 +3201,7 @@
              t = t + 1
           ENDDO
-          
+
           tm = MAX( t-1, 0 )
-          
+
           fac_dt = ( time_since_reference_point                                &
                    - time_rad_f%var1d(tm) + dt_3d )                            &
@@ -3207,5 +3210,5 @@
        ENDIF
 !
-!--    Call clear-sky calculation for each surface orientation. 
+!--    Call clear-sky calculation for each surface orientation.
 !--    First, horizontal surfaces
        horizontal = .TRUE.
@@ -3223,5 +3226,5 @@
           CALL radiation_external_surf
        ENDDO
-       
+
        CONTAINS
 
@@ -3229,15 +3232,15 @@
 
              USE control_parameters
-          
+
              IMPLICIT NONE
 
-             INTEGER(iwp) ::  i    !< grid index along x-dimension   
-             INTEGER(iwp) ::  j    !< grid index along y-dimension  
-             INTEGER(iwp) ::  k    !< grid index along z-dimension    
+             INTEGER(iwp) ::  i    !< grid index along x-dimension
+             INTEGER(iwp) ::  j    !< grid index along y-dimension
+             INTEGER(iwp) ::  k    !< grid index along z-dimension
              INTEGER(iwp) ::  m    !< running index for surface elements
-             
-             REAL(wp) ::  lw_in     !< downwelling longwave radiation, interpolated value     
+
+             REAL(wp) ::  lw_in     !< downwelling longwave radiation, interpolated value
              REAL(wp) ::  sw_in     !< downwelling shortwave radiation, interpolated value
-             REAL(wp) ::  sw_in_dif !< downwelling diffuse shortwave radiation, interpolated value   
+             REAL(wp) ::  sw_in_dif !< downwelling diffuse shortwave radiation, interpolated value
 
              IF ( surf%ns < 1 )  RETURN
@@ -3245,30 +3248,30 @@
 !--          level-of-detail = 1. Note, here it must be distinguished between
 !--          averaged radiation and non-averaged radiation for the upwelling
-!--          fluxes. 
+!--          fluxes.
              IF ( rad_sw_in_f%lod == 1 )  THEN
-             
+
                 sw_in = ( 1.0_wp - fac_dt ) * rad_sw_in_f%var1d(tm)            &
                                    + fac_dt * rad_sw_in_f%var1d(t)
-                                         
+
                 lw_in = ( 1.0_wp - fac_dt ) * rad_lw_in_f%var1d(tm)            &
                                    + fac_dt * rad_lw_in_f%var1d(t)
 !
-!--             Limit shortwave incoming radiation to positive values, in order 
+!--             Limit shortwave incoming radiation to positive values, in order
 !--             to overcome possible observation errors.
                 sw_in = MAX( 0.0_wp, sw_in )
                 sw_in = MERGE( sw_in, 0.0_wp, sun_up )
-                          
-                surf%rad_sw_in = sw_in                                         
+
+                surf%rad_sw_in = sw_in
                 surf%rad_lw_in = lw_in
-             
+
                 IF ( average_radiation )  THEN
                    surf%rad_sw_out = albedo_urb * surf%rad_sw_in
-                   
+
                    surf%rad_lw_out = emissivity_urb * sigma_sb * t_rad_urb**4  &
                                   + ( 1.0_wp - emissivity_urb ) * surf%rad_lw_in
-                   
+
                    surf%rad_net = surf%rad_sw_in - surf%rad_sw_out             &
                                 + surf%rad_lw_in - surf%rad_lw_out
-                   
+
                    surf%rad_lw_out_change_0 = 4.0_wp * emissivity_urb          &
                                                      * sigma_sb                &
@@ -3284,5 +3287,5 @@
                                              surf%albedo(m,ind_wat_win) )      &
                                            * surf%rad_sw_in(m)
-                   
+
                       surf%rad_lw_out(m) = ( surf%frac(m,ind_veg_wall)  *      &
                                              surf%emissivity(m,ind_veg_wall)   &
@@ -3294,5 +3297,5 @@
                                            * sigma_sb                          &
                                            * ( surf%pt_surface(m) * exner(k) )**4
-                   
+
                       surf%rad_lw_out_change_0(m) =                            &
                                          ( surf%frac(m,ind_veg_wall)  *        &
@@ -3305,18 +3308,18 @@
                                          * ( surf%pt_surface(m) * exner(k) )**3
                    ENDDO
-                
+
                 ENDIF
 !
-!--             If diffuse shortwave radiation is available, store it on 
+!--             If diffuse shortwave radiation is available, store it on
 !--             the respective files.
-                IF ( rad_sw_in_dif_f%from_file )  THEN 
+                IF ( rad_sw_in_dif_f%from_file )  THEN
                    sw_in_dif= ( 1.0_wp - fac_dt ) * rad_sw_in_dif_f%var1d(tm)  &
                                          + fac_dt * rad_sw_in_dif_f%var1d(t)
-                                         
+
                    IF ( ALLOCATED( rad_sw_in_diff ) )  rad_sw_in_diff = sw_in_dif
                    IF ( ALLOCATED( rad_sw_in_dir  ) )  rad_sw_in_dir  = sw_in  &
                                                                     - sw_in_dif
-!              
-!--                Diffuse longwave radiation equals the total downwelling 
+!
+!--                Diffuse longwave radiation equals the total downwelling
 !--                longwave radiation
                    IF ( ALLOCATED( rad_lw_in_diff ) )  rad_lw_in_diff = lw_in
